Filter ATA graph entities by clicked alarm severity

post

/sia/v1/event/ata/graph/alarmFilter

Returns the currently visible graph device and edge entity IDs that have active alarms matching the supplied severity and alarm type.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Request to filter the currently visible ATA graph entities by clicked alarm severity and alarm type.
Show Source
Nested Schema : deviceEntityIds
Type: array
Currently visible graph device entity IDs. Missing or null is treated as empty; null and blank IDs are ignored.
Show Source
Nested Schema : edgeEntityIds
Type: array
Currently visible graph edge entity IDs. Missing or null is treated as empty; null and blank IDs are ignored.
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Graph alarm filter retrieved successfully.
Body ()
Root Schema : GraphAlarmFilterResponse
Type: object
Filtered ATA graph entity IDs matching the clicked alarm severity and alarm type.
Show Source
Nested Schema : deviceEntityIds
Type: array
Filtered visible device entity IDs.
Show Source
Nested Schema : edgeEntityIds
Type: array
Filtered visible edge entity IDs.
Show Source
Examples

400 Response

The request isn't valid
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

401 Response

The request is unauthorized
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

403 Response

The request is forbidden
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source

500 Response

An Internal Server Error has occurred
Body ()
Root Schema : ErrorType
Type: object
Show Source
Nested Schema : message
Type: array
Show Source
Back to Top